> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-dx-2913.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Pin Configuration for Flow Control Key

> Pins a processing configuration for a specific flow-control key.



## OpenAPI

````yaml /workflow/openapi.yaml post /v2/flowControl/{flowControlKey}/pin
openapi: 3.1.0
info:
  title: Upstash Workflow REST API
  description: >
    Upstash Workflow is a serverless workflow orchestration service built on top
    of Upstash QStash and Upstash Redis.
  version: 2.0.0
  contact:
    name: Upstash
    url: https://upstash.com
servers:
  - url: https://qstash-{region}.upstash.io
    description: Regional
    variables:
      region:
        default: eu-central-1
        enum:
          - us-east-1
          - eu-central-1
security:
  - bearerAuth: []
  - bearerAuthQuery: []
paths:
  /v2/flowControl/{flowControlKey}/pin:
    post:
      tags:
        - Flow Control
      summary: Pin Configuration for Flow Control Key
      description: Pins a processing configuration for a specific flow-control key.
      parameters:
        - name: flowControlKey
          in: path
          required: true
          schema:
            type: string
          description: The flow-control key for which the configuration will be pinned.
        - name: parallelism
          in: query
          schema:
            type: integer
          description: The parallelism value to apply to the flow-control key.
        - name: rate
          in: query
          schema:
            type: integer
          description: The rate value to apply to the flow-control key.
        - name: period
          in: query
          schema:
            type: integer
          description: The period value to apply to the flow-control key, in seconds.
      responses:
        '200':
          description: The flow-control key configuration has been pinned.
        '400':
          description: >-
            Bad request. Returned when the flow-control key is not provided, or
            when the parallelism, rate or period values are invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: QStash authentication token
    bearerAuthQuery:
      type: apiKey
      in: query
      name: qstash_token
      description: QStash authentication token passed as a query parameter

````